/****** SITE-WIDE DEFAULTS ******/
a {
    text-decoration: none;
}

body {
    background-color: var(--tenno-background-color);
}

body, select {
    font-family: var(--roboto);
}

/****** HEADER & THEME SELECTION ******/
/* Header Container */
header {
    background-color: var(--tenno-background-color);

    position: sticky;
    top: 0;
}

/* Upper Header Container */
#upper-header-container {
    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 5px 10px;
}

/* Theme Selector & Logo Container */
#left-header-container {
    display: flex;
    align-items: center;
    justify-content: space-between;

    width: 500px;
}

/* Theme Selector */
#theme-selector {
    background: var(--tenno-background-color);
    border: 2px solid #FFFFFF;
    border-bottom: 5px solid var(--tenno-medium-green);
    box-shadow: var(--active-box-shadow);
    cursor: pointer;
    font-size: 18px;
    font-weight: 700;
    padding: 2px;
}

/* Logo - "FrameMastery" */
#left-header-container h1 {
    font-size: 48px;
    font-weight: 700;
    margin-left: 10px;
    text-shadow: 1px 1px 1px var(--tenno-bright-green);
    text-transform: uppercase;
}

/* "Total Mastery:" Container */
#total-mastery-container {
    color: var(--tenno-button-green);
    font-size: 20px;
    font-weight: 700;
    padding: 5px 20px;
}

/* Horizontal Rule */
hr {
    border: 2px solid var(--tenno-dark-green);
    margin-left: 0;
    max-width: 550px;
}

/****** MAIN CONTENT ******/
/* Main Container */
main {
    display: flex;
}

/* Left Main Container */
#left-main-container {
    min-width: 350px;
}

/* Categories Container */
#categories-container {
    display: flex;
    align-items: flex-start;
    flex-direction: column;

    margin: 50px 20px 60px 40px;
}

/* Collapsible Categories */
.collapsible-category {
    display: flex;
    align-items: center;

    background-color: transparent;
    border: none;
    color: var(--tenno-dark-green);
    cursor: pointer;
    font-size: 26px;
    font-weight: 700;
    gap: 5px;
}

/* Downward-Facing Carets */
.fa-solid {
    font-size: 15px;
}

/* Collapsible Content */
.collapsible-content {
    display: none;
    font-size: 20px;
    font-weight: 700;
    margin-left: 45px;
}

/* Collapsible Content (When Clicked) */
.collapsible-content p:active {
    color: var(--tenno-faded-green);
}

/* Caution Box */
#caution-container {
    color: var(--tenno-dark-green);
    text-align: center;
    width: 250px;
}

/* "Caution" */
#caution-container p {
    font-size: 25px;
    font-weight: 900;
    text-transform: uppercase;
}

/* Tooltip Container */
.unlock-tooltip {
    position: relative;
}

/* Tooltip Text - "Double-click to unlock" */
.unlock-tooltip-text {
    display: none;
    font-size: 20px;
    font-weight: 700;
}

/* Tooltip/Text - On Hover */
.unlock-tooltip:hover .unlock-tooltip-text {
    background-color: var(--tenno-tooltip-green);
    border: 2px solid #89AEB7;
    color: var(--tenno-button-green);
    display: block;
    padding: 5px 10px;
    text-align: center;
    width: max-content;
    
    position: absolute;
    left: 30%;
    top: 80%;
  }

   

/* Button Style - "Complete All Items," "Reset All Items," "Hide Completed" */
.button-style {
    background-color: var(--tenno-background-color);
    border: none;
    border-bottom: 2px solid #FFFFFF;
    border-radius: 8px;
    box-shadow: var(--active-box-shadow);
    color: var(--tenno-button-green);
    cursor: pointer;
    font-size: 18px;
    font-weight: 700;
    margin-top: 5px;
    padding: 5px 20px;
}

/* Box Style - "Total Mastery Container," "Hover-for-Details Container," "Item Selection Container" */
.box-style {
    background: var(--tenno-background-color);
    border: 2px solid #FFFFFF;
    box-shadow: var(--active-box-shadow);
}

/* Right Main Container */
#right-main-container {
    width: 100%;
    margin: 70px 20px 0 0;
}

/* Hover-for-Details Container */
#hover-details-container {
    display: flex;
    align-items: center;
    justify-content: center;

    position: sticky;
    top: 70px;

    background-color: var(--tenno-background-color);
    border-radius: 6px;
    margin-bottom: 15px;
    min-height: 120px;
}

/* Hover-for-Details Preview Text */
#hover-details-preview-text {
    font-size: 24px;
    font-weight: 900;
}

/* Item Selection Container */
#item-selection-container {
    border-radius: 6px;
    margin-bottom: 50px;
    min-height: 550px
}

/* Item Selection Header Container */
#item-selection-header-container {
    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 20px;
}

/* Item Selection Header */
#item-selection-header {
    color: var(--tenno-dark-green);
    font-size: 32px;
    font-weight: 900;
    text-transform: uppercase;
}

/* Item Selection Header Button Container */
#item-selection-header-button-container {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    
    gap: 15px;
    max-width: 400px;
}

/* Button - "Complete Category" */
#complete-category-button {
    box-shadow: var(--inactive-box-shadow);
    color: var(--tenno-faded-green);
    cursor: default;
}

/* Item Selection Sorting Container */
#item-selection-sorting-container {
    display: flex;
    align-items: center;
    flex-wrap: wrap;

    margin-left: 50px;
    gap: 20px;
}

/* Item Selection Sorting Buttons */
#item-selection-sorting-container p {
    font-size: 20px;
}

/* Item Selection Main Container - Populated by JavaScript */
#item-selection-content-container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    justify-items: center;
    
    gap: 10px;
    margin: 70px 50px;
}

/* Item Selection Content - JavaScript Elements */
.selectable-item {
    background-color: transparent;
    border: none;
    color: var(--tenno-medium-green);
    cursor: pointer;
    font-size: 22px;
    font-weight: 900;
    text-align: center;
}